#!/bin/bash

# Script to automate the setting up of my working environment.
# First make sure the keepass Database.kdbx is in a folder.
# Open keepass in a separate window. The script will prompt for passwords.


####################
# Set some aliases #
####################

echo "alias ll='ls -lArth'" >> ~/.bash_aliases
echo "alias lime2connect='ssh flyingscorpio@2px.info.tm'" >> ~/.bash_aliases
echo "alias gccstd='gcc -O2 -Wall -Wextra -Wno-unused-result -std=gnu99'" >> ~/.bash_aliases
echo "alias protonvpn='sudo protonvpn'" >> ~/.bash_aliases


#####################
# Install ProtonVPN #
#####################

sudo apt install -y openvpn dialog python3-pip python3-setuptools
sudo pip3 install protonvpn-cli
sudo protonvpn init

# Connect to ProtonVPN fastest server
sudo protonvpn c -f


####################
# Install KeePass2 #
####################

sudo apt-get install keepass2


#############################
# Install and configure Git #
#############################

sudo apt-get install git
git config --global user.name "flying-scorpio"
git config --global user.email "tfranken@protonmail.com"
git config --global alias.ci "commit"
git config --global alias.co "checkout"
git config --global alias.st "status"
git config --global alias.br "branch"


########################
# Install SublimeText3 #
########################

# Install GPG key
wget -qO - https://download.sublimetext.com/sublimehq-pub.gpg | sudo apt-key add -

# Ensure apt is set up to work with https sources
sudo apt-get install apt-transport-https

# Update sources.list
echo "deb https://download.sublimetext.com/ apt/stable/" | sudo tee /etc/apt/sources.list.d/sublime-text.list

# Update apt sources and install
sudo apt-get update
sudo apt-get install sublime-text


############################
# Set SublimeText Settings #
############################

sudo pip3 install bandit
sudo apt-get install clang
npm install -g csslint
sudo pip3 install mypy
sudo pip3 install flake8
sudo apt-get install tidy
npm install -g jshint
sudo pip3 install pycodestyle
sudo pip3 install pyflakes
sudo pip3 install pylint

cd ~/.config/sublime-text-3/Installed\ Packages
wget https://packagecontrol.io/Package%20Control.sublime-package

cd ~/.config/sublime-text-3/Packages/User
git clone https://github.com/flying-scorpio/SublimeTextPackages.git

